import type { NobjcObject } from "objc-js";
import type { _EKObject } from "./EKObject.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MKMapItem } from "../MapKit/MKMapItem.js";
export declare class _EKStructuredLocation extends _EKObject {
    static alloc(): _EKStructuredLocation;
    static new(): _EKStructuredLocation;
    init(): _EKStructuredLocation;
    static locationWithTitle$(title: _NSString): _EKStructuredLocation;
    static locationWithMapItem$(mapItem: _MKMapItem): _EKStructuredLocation;
    title(): _NSString | null;
    setTitle$(value: _NSString | null): void;
    geoLocation(): NobjcObject | null;
    setGeoLocation$(value: NobjcObject | null): void;
    /** 0 = use default, unit is meters */
    radius(): number;
    setRadius$(value: number): void;
}
export interface _EKStructuredLocation extends _NSCopying {
}
